// $Id: FieldsPage.java 7 2008-02-16 14:39:30Z matsu $
package com.piece_framework.piece_ide.form_designer.ui;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.DetailsPart;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.MasterDetailsBlock;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.editor.FormPage;

import com.piece_framework.piece_ide.form_designer.model.Field;

public class FieldsPage extends FormPage {
    private FieldsBlock fBlock;

    private class FieldsBlock extends MasterDetailsBlock {
        @Override
        protected void createMasterPart(
                        final IManagedForm managedForm,
                        final Composite parent) {
            new FieldsMasterSectionPart(parent, managedForm);
        }

        @Override
        protected void createToolBarActions(IManagedForm managedForm) {
        }

        @Override
        protected void registerPages(DetailsPart detailsPart) {
            detailsPart.registerPage(Field.class, new FieldDetailsPage());
        }
    }
    
    public FieldsPage(FormEditor editor) {
        super(editor, null, "tB[h");
        fBlock = new FieldsBlock();
    }

    @Override
    protected void createFormContent(IManagedForm managedForm) {
        fBlock.createContent(managedForm);
    }
}
